<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="What&#39;s the best blue electric kettle on the market?" />
<meta property="og:description" content="The best blue electric kettle is up for debate today. Obviously electric machines are very popular, and to meet the demand there are tons of companies that make them. In other words, finding the right one is not that easy. If you are stuck as to which one to buy, here is one to consider:
Alessi MG32
I&rsquo;ll warn you now - this isn&rsquo;t a cheap kettle. In fact, it&rsquo;s a pretty amazingly expensive one." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.kamikazecookery.com/blogs/209" />


<meta property="og:updated_time" content="2011-01-24T16:39:19&#43;00:00"/>











<meta itemprop="name" content="What&#39;s the best blue electric kettle on the market?">
<meta itemprop="description" content="The best blue electric kettle is up for debate today. Obviously electric machines are very popular, and to meet the demand there are tons of companies that make them. In other words, finding the right one is not that easy. If you are stuck as to which one to buy, here is one to consider:
Alessi MG32
I&rsquo;ll warn you now - this isn&rsquo;t a cheap kettle. In fact, it&rsquo;s a pretty amazingly expensive one.">


<meta itemprop="dateModified" content="2011-01-24T16:39:19&#43;00:00" />
<meta itemprop="wordCount" content="451">



<meta itemprop="keywords" content="" />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="What&#39;s the best blue electric kettle on the market?"/>
<meta name="twitter:description" content="The best blue electric kettle is up for debate today. Obviously electric machines are very popular, and to meet the demand there are tons of companies that make them. In other words, finding the right one is not that easy. If you are stuck as to which one to buy, here is one to consider:
Alessi MG32
I&rsquo;ll warn you now - this isn&rsquo;t a cheap kettle. In fact, it&rsquo;s a pretty amazingly expensive one."/>










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="209.html">

    <title>What&rsquo;s the best blue electric kettle on the market? | Kamikaze Cookery | Geeks cook – with SCIENCE.</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    

    

    

    
<style>
    .blog-masthead{
        background-color: #f66708; 
        margin-bottom: 0px; 
    }
    h2{
        text-align: center; 
        margin: 40px; 
    }
    .container img {
        display: block; 
        margin: 0 auto; 
    }
    h1{ 
        margin: 50px; 
        text-align: center; 
    }
</style>
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>
    <a  href="../index.html"><div class="container" style="background-image: url(../images/cropped-Logo-final1.jpg); padding: 0px; background-size:cover; min-height: 360px"></div> </a> 
    <div class="blog-masthead">
      <div class="container">
      
        <nav class="nav blog-nav">
                   
          <a class="nav-link" href="../index.html">Episodes</a>
          <a class="nav-link" href="../about-kamikaze-cookery/index.html">About</a>
          <a class="nav-link" href="../blog/index.html">Blog</a>
          

        </nav>
      </div>
    </div>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="209.html">What&rsquo;s the best blue electric kettle on the market?</a></h2>
    <p class="blog-post-meta"><time datetime="2011-01-24T16:39:19Z">Mon Jan 24, 2011</time> by wpengine</p>
  </header>
  <p>The best blue electric kettle is up for debate today. Obviously electric machines are very popular, and to meet the demand there are tons of companies that make them. In other words, finding the right one is not that easy. If you are stuck as to which one to buy, here is one to consider:</p>

<p>Alessi MG32</p>

<p>I&rsquo;ll warn you now - this isn&rsquo;t a cheap kettle. In fact, it&rsquo;s a pretty amazingly expensive one. However, it&rsquo;s worth it.</p>

<p>First, it looks great. It&rsquo;s designed by architect Michael Graves, and it&rsquo;s been a favourite design for more than 25 years now. The earlier versions were not electric, but the newer electric models share the same style as the older ones.  The outside is stainless steel, and is surrounded by a bright blue bottom and handle. It is topped off by an interesting bird spout, which is pretty much unique on the market.</p>

<p>In other words, this one is not for the faint of heart, and is definitely for the more daring homeowner.</p>

<p>The other reason it is one of the best is that it is actually quite functional. In other words, it does not sacrifice functionality for style. First it is made with quality stainless steel, which is a marked upgrade over the cheaper plastic material many models use.</p>

<p>Plastic not only does not last as long, but also many owners have trouble adjusting to the foul smell the material gives off. For both these reasons, stainless steel is superior. Another great thing about this model is that it boils a maximum load, 1.4 liters of water, within 4 minutes - pretty swift.</p>

<p>The one negative about this model is the price. Due mostly to the unique styling, it sells for $300 at most sites, which is 200-300% as much as other models. Obviously the functionality is good, but it really is not that much superior in quality to other models.</p>

<p>In other words, you are paying for the design - make no mistake about it. It&rsquo;s a premium price, but f you are looking for a way to spruce up your kitchen, then you simply cannot beat this model.</p>

<p>The bottom line is, the Alessi MG32 is one of the, if not the top blue electric kettle on the market. It is expensive. However, check [<a href="http://www.eBay.com">http://www.eBay.com</a>]. Here you can occasionally find it for as low as $240 in some instances.</p>

<p>Definitely wanting a cheaper blue kettle? Well, you won&rsquo;t find anything this nice. However, the Morphy Richards &ldquo;Accents&rdquo; pyramid kettle has a similar vibe - it&rsquo;s stainless steel, it&rsquo;s quite traditional in appearance, and importantly it gets stellar reviews from users. Not a designer kettle, maybe, but a good alternative.</p>


  

  
  <hr>
  <footer>

  
    <section>
    <h4>Share</h4>
    <nav class="nav sharing-icons">
      <a class="nav-item" href="https://www.facebook.com/sharer/sharer.php?u=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f209" title="Share on Facebook"><span class="fa fa-facebook fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://plus.google.com/share?url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f209" title="Share on Google+"><span class="fa fa-google-plus fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f209" title="Share on LinkedIn"><span class="fa fa-linkedin fa-2x" aria-hidden="true"></span></a>
      <a class="nav-item" href="https://twitter.com/home?status=http%3a%2f%2fwww.kamikazecookery.com%2fblogs%2f209" title="Tweet this"><span class="fa fa-twitter fa-2x"></span></a>
    </nav>
  </section>

  

  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="209.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
